{
	saved_FirstTime[0]
	
	Init[ ()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetNationality(1);
			PlayAnimation(7);
			SetRunning();
			DropWeaponOnDeath(1);
			gun = Random(1,2);
		 		switch(gun)
		 		{
		 			case 1 { GiveWeapon(56); } 
		 			case 2 { GiveWeapon(55); } 
				}
		}
	}]
	
	OnDecay[ ()
	{
		Delay( Random(3,8), 1);
	}]
	
	DelayReached[ (s)
	{
		if(s = 1)
		{
			Respawn();
			
			if(Level.saved_Fallback = 1)
			{
				Respawn2();
			}
		}
    	 }] 
 
    
	
	Respawn[ ()
	{
		me = GetID();
									
			SetDead(false);
			SetRunning();
			PlayAnimation(0);
			SetHealth(256);
			gun = Random(1,2);
			switch(gun)
			{
			 	case 1 { GiveWeapon(56); } 
			 	case 2 { GiveWeapon(55); } 
			}
					
			GoPath();
	}]
	
	Respawn2[ ()
	{
		Level.Log("--> Respawn2()  who: " # GetID() );	
		
		me = GetID();
		
		switch(me)
		{
			case "German1"
			{
				SetPosition(21888,4736,128);
			}
		}	
			
			SetDead(false);
			SetRunning();
			PlayAnimation(0);
			SetHealth(256);
			gun = Random(1,2);
			 	switch(gun)
			 	{
			 		case 1 { GiveWeapon(56); } 
			 		case 2 { GiveWeapon(53); } 
				}
		
			GoPath2();
			Level.Log("OUT OF RESPAWN2");
	}]
	
	GoPath[ ()
	{
		Level.Log("--> GoPath()  who: " # GetID());
		me = GetID();
		switch(me)
		{
//			 West Bank
			}
			case "German5"
			{
				FollowPath("Charge_2A", 0);
				FollowPathCallback(127, "GoPatrol");
			}
			case "German4"
			{
				FollowPath("Charge_2B", 0);
				FollowPathCallback(127, "GoPatrol");
			}
			
		}
	}]
	
	GoPath2[ ()
	{
		Level.Log("--> GoPath2()  who: " # GetID());
		me = GetID();
		
		switch(me)
		{
			case "German1"
			{
				SetAttackDistance(13, 6); SetState_Patrol(0); SetLineOfSight(2,180); SetWander(0);
				FollowPath("TC_1", 0);
			}
			case "German2"
			{
				SetAttackDistance(13, 6); SetState_Patrol(0); SetLineOfSight(2,180); SetWander(0);
				FollowPath("TC_3", 0);
			}
			case "German3"
			{
				SetAttackDistance(5, 6); SetState_Patrol(0); SetLineOfSight(2,180); SetWander(0);
				FollowPath("TC_2", 0);	
			}
		}
	}]
	
	GoPatrol[ ()
	{
		SetAttackDistance(18, 2);
		SetState_Patrol(0);
		SetLineOfSight(0);
		SetWander(0);	
	}]
	
	BloodRage[()
	{
		SetState_Patrol(0);
		SetAttackDistance(8,4);
		SetLineOfSight(2,180);
	}]
}